@echo off
if exist cfg\kungfum.cfg move cfg\kungfum.cfg cfg\kungfum.bak
if exist hi\kungfum.hi move hi\kungfum.hi hi\kungfum.bak
if exist nvram\kungfum.nv move nvram\kungfum.nv nvram\kungfum.bak
if exist diff\kungfum.dif move diff\kungfum.dif diff\kungfum.bak

mame kungfum -record kungfum.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\kungfum.bak move cfg\kungfum.bak cfg\kungfum.cfg
if exist hi\kungfum.bak move hi\kungfum.bak hi\kungfum.hi
if exist nvram\kungfum.bak move nvram\kungfum.bak nvram\kungfum.nv
if exist diff\kungfum.bak move diff\kungfum.bak diff\kungfum.dif
